--- /mnt/data/admissoes_original/admissoes/app/Views/admissions/partials/form.php	2026-05-05 15:04:01.000000000 +0000
+++ /mnt/data/admissoes_work/admissoes/app/Views/admissions/partials/form.php	2026-05-26 17:49:41.752241774 +0000
@@ -6,7 +6,8 @@
 $currentUnitName = old('unit_name', $admission['unit_name'] ?? '');
 $isProfessorJob = \App\Support\AdmissionForm::isProfessorJob($currentJobTitle, $config);
 $isInternJob = \App\Support\AdmissionForm::isInternJob($currentJobTitle, $config);
-$showAcademic = (int) old('is_student', $admission['is_student'] ?? 0) === 1 || $isInternJob;
+$showAcademic = $isInternJob;
+$showEnrollmentDeclaration = (int) old('is_student', $admission['is_student'] ?? 0) === 1 || $isInternJob;
 $currentMaritalStatus = old('marital_status', $admission['marital_status'] ?? '');
 $hasDependents = (int) old('has_dependents', $admission['has_dependents'] ?? 0) === 1;
 $dependents = old('dependents', $admission['dependents'] ?? [['full_name'=>'','birth_date'=>'','cpf'=>'','birth_city'=>'','has_disability'=>0]]);
@@ -70,7 +71,7 @@
         <div class="col-md-3"><label class="form-label">Mãe</label><input type="text" class="form-control<?= $invalidClass('mother_name') ?>" name="mother_name" value="<?= e(old('mother_name', $admission['mother_name'] ?? '')) ?>"><?php if (!empty($errors['mother_name'])): ?><div class="field-error"><?= e($errors['mother_name']) ?></div><?php endif; ?></div>
         <div class="col-md-3"><label class="form-label">Data de nascimento</label><input type="date" class="form-control<?= $invalidClass('birth_date') ?>" name="birth_date" value="<?= e(old('birth_date', $admission['birth_date'] ?? '')) ?>"><?php if (!empty($errors['birth_date'])): ?><div class="field-error"><?= e($errors['birth_date']) ?></div><?php endif; ?></div>
         <div class="col-md-3"><label class="form-label">Estado civil</label><select class="form-select<?= $invalidClass('marital_status') ?>" name="marital_status" id="marital_status"><option value="">Selecione</option><?php foreach ($config['marital_statuses'] as $key=>$label): ?><option value="<?= e($key) ?>" <?= selected($currentMaritalStatus, $key) ?>><?= e($label) ?></option><?php endforeach; ?></select><?php if (!empty($errors['marital_status'])): ?><div class="field-error"><?= e($errors['marital_status']) ?></div><?php endif; ?></div>
-        <div class="col-md-3"><label class="form-label">Você é estudante?</label><select class="form-select toggle-field<?= $invalidClass('is_student') ?>" name="is_student" data-target="#academic-section"><option value="0" <?= selected(old('is_student', $admission['is_student'] ?? 0), 0) ?>>Não</option><option value="1" <?= selected(old('is_student', $admission['is_student'] ?? 0), 1) ?>>Sim</option></select></div>
+        <div class="col-md-3"><label class="form-label">Você é estudante?</label><select class="form-select<?= $invalidClass('is_student') ?>" name="is_student"><option value="0" <?= selected(old('is_student', $admission['is_student'] ?? 0), 0) ?>>Não</option><option value="1" <?= selected(old('is_student', $admission['is_student'] ?? 0), 1) ?>>Sim</option></select></div>
         <div class="col-md-3"><label class="form-label">Escolaridade</label><select class="form-select<?= $invalidClass('education_level') ?>" name="education_level"><option value="">Selecione</option><?php foreach ($config['education_levels'] as $key=>$label): ?><option value="<?= e($key) ?>" <?= selected(old('education_level', $admission['education_level'] ?? ''), $key) ?>><?= e($label) ?></option><?php endforeach; ?></select><?php if (!empty($errors['education_level'])): ?><div class="field-error"><?= e($errors['education_level']) ?></div><?php endif; ?></div>
         <div class="col-md-4"><label class="form-label">Nacionalidade</label><input type="text" class="form-control<?= $invalidClass('nationality') ?>" name="nationality" value="<?= e(old('nationality', $admission['nationality'] ?? '')) ?>"><?php if (!empty($errors['nationality'])): ?><div class="field-error"><?= e($errors['nationality']) ?></div><?php endif; ?></div>
         <div class="col-md-4"><label class="form-label">Naturalidade</label><input type="text" class="form-control" name="place_of_birth" value="<?= e(old('place_of_birth', $admission['place_of_birth'] ?? '')) ?>"></div>
@@ -200,7 +201,7 @@
 </section>
 
 <section id="academic-section" class="form-section conditional-section<?= $showAcademic ? '' : ' is-hidden' ?>">
-    <div class="section-header"><h2>8. Estágio</h2><p>Esta seção é obrigatória para estagiários e também aparece quando o colaborador informa que é estudante.</p></div>
+    <div class="section-header"><h2>8. Estágio</h2><p>Esta seção aparece somente quando o cargo pretendido é uma vaga de estágio.</p></div>
     <div class="row g-3">
         <div class="col-md-6"><label class="form-label d-block">Natureza do estágio</label><?php foreach (($config['internship_natures'] ?? []) as $value => $label): ?><div class="form-check form-check-inline"><input class="form-check-input<?= $invalidClass('academic.internship_nature') ?>" type="radio" name="academic[internship_nature]" id="internship_nature_<?= e(md5($value)) ?>" value="<?= e($value) ?>" <?= checked(old('academic.internship_nature', $academic['internship_nature'] ?? ''), $value) ?>><label class="form-check-label" for="internship_nature_<?= e(md5($value)) ?>"><?= e($label) ?></label></div><?php endforeach; ?><?php if (!empty($errors['academic.internship_nature'])): ?><div class="field-error"><?= e($errors['academic.internship_nature']) ?></div><?php endif; ?></div>
         <div class="col-md-6"><label class="form-label">Nível</label><select class="form-select<?= $invalidClass('academic.academic_level') ?>" name="academic[academic_level]"><option value="">Selecione</option><?php foreach (($config['academic_level_options'] ?? []) as $value => $label): ?><option value="<?= e($value) ?>" <?= selected(old('academic.academic_level', $academic['academic_level'] ?? ''), $value) ?>><?= e($label) ?></option><?php endforeach; ?></select><?php if (!empty($errors['academic.academic_level'])): ?><div class="field-error"><?= e($errors['academic.academic_level']) ?></div><?php endif; ?></div>
@@ -217,7 +218,7 @@
         <div class="col-md-3"><label class="form-label">Turno que estuda</label><input type="text" class="form-control<?= $invalidClass('academic.study_shift') ?>" name="academic[study_shift]" value="<?= e(old('academic.study_shift', $academic['study_shift'] ?? '')) ?>" placeholder="Ex.: Manhã, Tarde ou Noite"><?php if (!empty($errors['academic.study_shift'])): ?><div class="field-error"><?= e($errors['academic.study_shift']) ?></div><?php endif; ?></div>
         <div class="col-md-3"><label class="form-label">Nome do curso</label><input type="text" class="form-control<?= $invalidClass('academic.course_name') ?>" name="academic[course_name]" value="<?= e(old('academic.course_name', $academic['course_name'] ?? '')) ?>"><?php if (!empty($errors['academic.course_name'])): ?><div class="field-error"><?= e($errors['academic.course_name']) ?></div><?php endif; ?></div>
         <div class="col-md-2"><label class="form-label">RGM (Número da Matrícula)</label><input type="text" class="form-control<?= $invalidClass('academic.registration_number') ?>" name="academic[registration_number]" value="<?= e(old('academic.registration_number', $academic['registration_number'] ?? '')) ?>"><?php if (!empty($errors['academic.registration_number'])): ?><div class="field-error"><?= e($errors['academic.registration_number']) ?></div><?php endif; ?></div>
-        <div class="col-12"><div class="alert alert-light border mb-0"><strong>Declaração de matrícula:</strong> se o colaborador for estudante ou estiver em vaga de estágio, esse anexo será solicitado na etapa de documentos.</div></div>
+        <div class="col-12"><div class="alert alert-light border mb-0"><strong>Declaração de matrícula:</strong> para cargo de estágio, esse anexo será solicitado na etapa de documentos.</div></div>
     </div>
 </section>
 
@@ -284,7 +285,7 @@
                     $conditionalClass = $currentMaritalStatus === 'divorciado' ? '' : ' conditional-section is-hidden';
                     $conditionalId = ' id="divorce-annotation-section"';
                 } elseif ($field === 'enrollment_declaration') {
-                    $conditionalClass = $showAcademic ? '' : ' conditional-section is-hidden';
+                    $conditionalClass = $showEnrollmentDeclaration ? '' : ' conditional-section is-hidden';
                     $conditionalId = ' id="enrollment-declaration-section"';
                 } elseif ($field === 'dependent_birth_certificate') {
                     $conditionalClass = $hasDependents ? '' : ' conditional-section is-hidden';
--- /mnt/data/admissoes_original/admissoes/public/assets/js/app.js	2026-05-05 15:47:46.000000000 +0000
+++ /mnt/data/admissoes_work/admissoes/public/assets/js/app.js	2026-05-26 17:49:41.760231719 +0000
@@ -553,7 +553,7 @@
             selectedJob.includes('professor');
 
         if (academicSection) {
-            academicSection.classList.toggle('is-hidden', !(isStudent || isInternJob));
+            academicSection.classList.toggle('is-hidden', !isInternJob);
         }
 
         if (crefSection) {
--- /mnt/data/admissoes_original/admissoes/core/Validator.php	2026-05-05 15:04:01.000000000 +0000
+++ /mnt/data/admissoes_work/admissoes/core/Validator.php	2026-05-26 17:49:10.659751333 +0000
@@ -122,7 +122,7 @@
             }
         }
 
-        if ((int) ($input['is_student'] ?? 0) === 1 || $isInternJob) {
+        if ($isInternJob) {
             foreach ([
                 'internship_nature',
                 'academic_level',
--- /mnt/data/admissoes_original/admissoes/app/Controllers/AdmissionController.php	2026-05-05 15:49:46.000000000 +0000
+++ /mnt/data/admissoes_work/admissoes/app/Controllers/AdmissionController.php	2026-05-26 17:49:10.660059929 +0000
@@ -87,7 +87,7 @@
                 Dependent::replaceForAdmission((int) $admissionId, AdmissionForm::dependentEntries($_POST));
                 AcademicInfo::replaceForAdmission(
                     (int) $admissionId,
-                    AdmissionForm::isStudentAdmission($_POST)
+                    AdmissionForm::isInternJob($_POST['job_title'] ?? '')
                         ? AdmissionForm::normalizeAcademicPayload($_POST['academic'] ?? null)
                         : null
                 );
--- /mnt/data/admissoes_original/admissoes/app/Controllers/AdminAdmissionController.php	2026-05-05 15:49:46.000000000 +0000
+++ /mnt/data/admissoes_work/admissoes/app/Controllers/AdminAdmissionController.php	2026-05-26 17:49:10.660314924 +0000
@@ -233,7 +233,7 @@
                 Dependent::replaceForAdmission($admissionId, AdmissionForm::dependentEntries($_POST));
                 AcademicInfo::replaceForAdmission(
                     $admissionId,
-                    AdmissionForm::isStudentAdmission($_POST)
+                    AdmissionForm::isInternJob($_POST['job_title'] ?? '')
                         ? AdmissionForm::normalizeAcademicPayload($_POST['academic'] ?? null)
                         : null
                 );
